Author Topic: The 03 July 2021 build (12483) is out.  (Read 7271 times)

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5300
The 03 July 2021 build (12483) is out.
« on: July 04, 2021, 08:07:16 am »
We switched to wx 3.1.5 --> download the new wx dll's see link below

Get quick announcements through the RSS feed http://www.codeblocks.org/nightly/CodeBlock_RSS.xml

Before you use a nightly make sure you understand how it works.

A link to the unicode windows wxWidget dll(s) for Code::Blocks : https://sourceforge.net/projects/codeblocks/files/Binaries/Nightlies/Prerequisites/wxmsw31u_gcc_cb_wx315_2D_gcc810-mingw64.7z
A link to Mingw64 dll's needed by Code::Blocks : http://sourceforge.net/projects/codeblocks/files/Binaries/Nightlies/Prerequisites/Mingw64dlls8.1.0.7z


The 03 July 2021 build is out.
  - Windows :
   http://sourceforge.net/projects/codeblocks/files/Binaries/Nightlies/2021/CB_20210703_rev12483_win64.7z
  - Linux :
   none

The current SDK version is : 2.11.0

Resolved Fixed:

  • SDK: Add support for expanding complex shell expressions from backticks
  • SDK/compiler: Clear the Backtick cache before important operations
  • UI: Settings -> Backtick Cache...
  • SDK/debugger: Try to fix the active debugger problem (ticket #611)
  • BrowseTracker - Fixed editor switching dialog
  • script wizard: Remove stray bracket in SDL2 wizard script (ticket #1104, thanks Miguel Gimenez)
  • depslib: Fix a crash when compiling a program (ticket #1086, thanks Gerard DURAND)
  • wizard: Update wxWidgets project wizard (thanks PB)
  • SDK: Make sure global variables could be used directly after they are defined
  • SDK: Fix UserVariableManager::Exists to work correctly
  • logger: Scroll to the end of log control if a new message is added (ticket #1092)
  • compiler: fix ticket 1112: fix regression from ticket #104
  • logger: fix build error introduced in r12481

Regressions/Confirmed/Annoying/Common bugs:



    Offline oBFusCATed

    • Developer
    • Lives here!
    • *****
    • Posts: 13438
      • Travis build status
    Re: The 03 July 2021 build (12483) is out.
    « Reply #1 on: July 04, 2021, 05:22:41 pm »
    (most of the time I ignore long posts)
    [strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

    Offline AndrewCot

    • Almost regular
    • **
    • Posts: 236
    Re: The 03 July 2021 build (12483) is out.
    « Reply #2 on: July 05, 2021, 02:20:53 pm »
    On Windows 12483 has been working without any wxwidget asserts, but tonight I upgraded my Virtual Box guest Linux Mint 20.1 CB from SVN 12458 to 12483 using the PPA shown below and on initial startup I got the wxwidget assert shown below, pressing continue worked okay. This did not occur in SVN 12458. I have not done any local build on Linux yet. I manually reverted back to 12458 using the debian files and the wxwidget assert was not shown.

    ASSERT INFO:
    ../include/wx/event.h(3177): assert "idLast == wxID_ANY || winid <= idLast" failed in wxEventTableEntryBase(): invalid IDs range: lower bound > upper bound

    BACKTRACE:
    [1] wxEvtHandler::DoBind(int, int, int, wxEventFunctor*, wxObject*)
    [2] cbDragScroll::OnAttach()
    [3] cbPlugin::Attach()
    [4] PluginManager::AttachPlugin(cbPlugin*, bool)
    [5] PluginManager::LoadAllPlugins()
    [6] wxEntry(int&, wchar_t**)
    [7] __libc_start_main


    PPA: deb http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu focal main

    Codeblocks details:
    Name                   : Code::Blocks
    Version                : svn-r12483
    SDK Version            : 2.11.0
    Scintilla Version      : 3.7.5
    Author                 : The Code::Blocks Team
    E-mail                 : info@codeblocks.org
    Website                : http://www.codeblocks.org
    OS                     : Linux 5.12.14-051214-generic x86_64
    Scaling factor         : 1.000000
    Detected scaling factor: 1.000000
    Display PPI            : 96x96
    Display count          : 1
    Display 0              : XY=[0,0]; Size=[1920,969]; Primary

    wxWidgets Library (wxGTK port)
    Version 3.0.5 (Unicode: wchar_t, debug level: 1),
    Runtime version of toolkit used is 3.24.
    Compile-time GTK+ version is 3.24.20.

    The appropriate debian SVN 12458 files to manually revert codeblocks were downloaded from the following windows batch file snippet:
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/codeblocks_20.03svn%CB_VER%~ubuntu20.04_amd64.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/codeblocks-common_20.03svn%CB_VER%~ubuntu20.04_all.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/codeblocks-contrib_20.03svn%CB_VER%~ubuntu20.04_amd64.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/codeblocks-contrib-common_20.03svn%CB_VER%~ubuntu20.04_all.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/codeblocks-libwxcontrib0_20.03svn%CB_VER%~ubuntu20.04_amd64.deb

    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/libcodeblocks0_20.03svn%CB_VER%~ubuntu20.04_amd64.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/libwxsmithlib0_20.03svn%CB_VER%~ubuntu20.04_amd64.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/libwxsmithlib0-dev_20.03svn%CB_VER%~ubuntu20.04_amd64.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/wxsmith-dev_20.03svn%CB_VER%~ubuntu20.04_amd64.deb
    wget http://ppa.launchpad.net/fuscated/codeblocks-nightly/ubuntu/pool/main/c/codeblocks/wxsmith-headers_20.03svn%CB_VER%~ubuntu20.04_all.deb

    Offline Pecan

    • Plugin developer
    • Lives here!
    • ****
    • Posts: 2315
    Re: The 03 July 2021 build (12483) is out.
    « Reply #3 on: July 06, 2021, 05:12:36 am »
    Acknowledged.
    Guess I can't use wxID_ANY in the event table anymore since it's a -1.
    Will figure it out.

    Offline Pecan

    • Plugin developer
    • Lives here!
    • ****
    • Posts: 2315
    Re: The 03 July 2021 build (12483) is out.
    « Reply #4 on: July 06, 2021, 11:37:24 pm »
    @AndrewCot

    What version of wxWidgets are you using.
    I can't reproduces this problem on Mint 9.3 which only has wxWidgets3.0.4 .

    Thanks.



    Offline AndrewCot

    • Almost regular
    • **
    • Posts: 236
    Re: The 03 July 2021 build (12483) is out.
    « Reply #5 on: July 07, 2021, 12:48:58 am »
    @Pecan

    mint@mint-VirtualBox:~$ dpkg -l | grep wxWidget
    ii  libwxbase3.0-0v5:amd64                      3.0.5.1+dfsg-2                      amd64        wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
    ii  libwxgtk3.0-0v5:amd64                       3.0.4+dfsg-12                       amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK 2 runtime)
    ii  libwxgtk3.0-gtk3-0v5:amd64                  3.0.5.1+dfsg-2                      amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
    mint@mint-VirtualBox:~$

    I am running the XFCE desktop if that is of any use. I have attached a zip containing the results of "dpkg -i" in case there is some other package you want to check what I have installed.

    Offline Commaster

    • Almost regular
    • **
    • Posts: 129
    Re: The 03 July 2021 build (12483) is out.
    « Reply #6 on: July 07, 2021, 07:18:41 am »
    ii  libwxgtk3.0-0v5:amd64                       3.0.4+dfsg-12                       amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK 2 runtime)
    ii  libwxgtk3.0-gtk3-0v5:amd64                  3.0.5.1+dfsg-2                      amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)

    I feel like having both 3.0.4-gtk2 and 3.0.5-gtk3 installed at the same time isn't very healthy for the runtime linker/loader...

    Offline oBFusCATed

    • Developer
    • Lives here!
    • *****
    • Posts: 13438
      • Travis build status
    Re: The 03 July 2021 build (12483) is out.
    « Reply #7 on: July 07, 2021, 08:54:26 am »
    I feel like having both 3.0.4-gtk2 and 3.0.5-gtk3 installed at the same time isn't very healthy for the runtime linker/loader...
    Hm, why do you feel like that? It is perfectly working solution given the libraries have different names and this is fully supported by wx :) You can have 2.8, 3.x. and other variants next to each other.
    (most of the time I ignore long posts)
    [strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

    Offline Pecan

    • Plugin developer
    • Lives here!
    • ****
    • Posts: 2315
    Re: The 03 July 2021 build (12483) is out.
    « Reply #8 on: July 07, 2021, 08:03:44 pm »
    On Windows ...12483 using the PPA shown below and on initial startup I got the wxwidget assert shown below...

    ASSERT INFO:
    ../include/wx/event.h(3177): assert "idLast == wxID_ANY || winid <= idLast" failed in wxEventTableEntryBase(): invalid IDs range: lower bound > upper bound
    see: https://forums.codeblocks.org/index.php/topic,24560.msg167646.html#msg167646

    Fixed: rev 12487: Fix assert caused by incorrect events Connect() range.

    @AndrewCot
    Thanks for your work.
    « Last Edit: July 07, 2021, 08:05:51 pm by Pecan »

    Offline Miguel Gimenez

    • Lives here!
    • ****
    • Posts: 824
    Re: The 03 July 2021 build (12483) is out.
    « Reply #9 on: July 07, 2021, 08:59:00 pm »
    Are you sure the problem is not in this code (from btswitcherdlg.cpp)?

    Code
    BEGIN_EVENT_TABLE(wxSwitcherDialog, wxScrollingDialog)
        EVT_CLOSE(wxSwitcherDialog::OnCloseWindow)
        EVT_ACTIVATE(wxSwitcherDialog::OnActivate)
        EVT_LISTBOX(wxID_ANY, wxSwitcherDialog::OnSelectItem)
        EVT_PAINT(wxSwitcherDialog::OnPaint)
    END_EVENT_TABLE()

    because the assert specify wxEventTableEntryBase(), not Connect(). Also, the assert appeared between 12458 and 12483, and the file above was added in 12470.

    Offline Pecan

    • Plugin developer
    • Lives here!
    • ****
    • Posts: 2315
    Re: The 03 July 2021 build (12483) is out.
    « Reply #10 on: July 08, 2021, 07:03:12 am »
    Are you sure the problem is not in this code (from btswitcherdlg.cpp)?

    Code
    BEGIN_EVENT_TABLE(wxSwitcherDialog, wxScrollingDialog)
        EVT_CLOSE(wxSwitcherDialog::OnCloseWindow)
        EVT_ACTIVATE(wxSwitcherDialog::OnActivate)
        EVT_LISTBOX(wxID_ANY, wxSwitcherDialog::OnSelectItem)
        EVT_PAINT(wxSwitcherDialog::OnPaint)
    END_EVENT_TABLE()

    because the assert specify wxEventTableEntryBase(), not Connect(). Also, the assert appeared between 12458 and 12483, and the file above was added in 12470.

    I'm sure. I used debug to trace to the connect() statement.
    And it makes sense. The connect() was using a range of id's created by XRCID() expressions which were not sequential. So wx complained.

    I separated the connects() and the problem went away.
    Also, the problem was in DragScroll, not BrowseTracker.

    Thanks.
    « Last Edit: July 08, 2021, 07:13:58 am by Pecan »